## EntangleDeviceManager EntangleDeviceManager |

## Functions

EntangleDeviceManager * | entangle_device_manager_new ()
gboolean | entangle_device_manager_has_port ()
char * | entangle_device_manager_port_serial ()

## Signals

void | device-added | Run First
void | device-removed | Run First

## Object Hierarchy

        GObject
        ╰── EntangleDeviceManager

## Description

## Functions

### entangle_device_manager_new ()

    EntangleDeviceManager *
    entangle_device_manager_new (void);

### entangle_device_manager_has_port ()

    gboolean
    entangle_device_manager_has_port (EntangleDeviceManager *manager,
                                      const char *port);

### entangle_device_manager_port_serial ()

    char *
    entangle_device_manager_port_serial (EntangleDeviceManager *manager,
                                         const char *port);

## Types and Values

## Signal Details

### The `“device-added”` signal

    void
    user_function (EntangleDeviceManager *entangledevicemanager,
                   gchar                 *arg1,
                   gpointer               user_data)

Flags: Run First

### The `“device-removed”` signal

    void
    user_function (EntangleDeviceManager *entangledevicemanager,
                   gchar                 *arg1,
                   gpointer               user_data)

Flags: Run First